Puzzle / Developers
API referenceCustomers

Create Customer

POST /company/{id}/customers

POST/company/{id}/customers

Path Parameters

id*string

The company ID

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/company/string/customers" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "string",  "name": "string",  "email": "string",  "phoneNumber": "string",  "billingAddressJson": {    "zip": "string",    "city": "string",    "addressLine1": "string",    "addressLine2": "string",    "state": "",    "country": ""  },  "companyName": "string",  "contactName": "string",  "description": "string",  "website": "string",  "status": "Active",  "type": "Individual"}

Schema refreshed 2026-11-11T18:57:48.657Z